Bug 474011 - Broken keyboard switching in GDM
Broken keyboard switching in GDM
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
10
All Linux
high Severity high
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
https://www.redhat.com/archives/fedor...
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 14:23 EST by Lev Shamardin
Modified: 2015-01-14 18:22 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-01 08:29:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lev Shamardin 2008-12-01 14:23:44 EST
Description of problem:
If you select "Russian" keyboard during system installation then gdm is configured to use Russian input for user names and passwords by default. The first thing you would probably try to do is to switch to US keyboard to enter your login name and password. When you select "USA" keyboard from the list for the first time, it works and switches input layout to english. But this trick will not work when you have "USA" in the list already. You will have to add another english layout, e.g. USA intl, and then to actually switch the layout do the sequence: switch to USA, switch to USA intl (the order does not matter, only the second switch actually changes the layout).

Version-Release number of selected component (if applicable):
gdm-2.24.0-12.fc10.i386

How reproducible:
always?

Steps to Reproduce:
1. install a fresh fedora system using "Russian" keyboard. Don't be afraid, it won't affect the installation since during installation you will have US english layout with this selection anyway.
2. try to enter a login name when you get that far. Select "USA" keyboard from the list.
3. Enter wrong password (it will surely be wrong anyway, more in the next bugreport).
4. Try to enter a login name. Switch to "USA". Try to enter login name again. Add "USA intl" keyboard. Finally you can enter a login name in english.
5. Repeat from 3.
  
Actual results:
You are entering funny cyrillic characters even with USA keyboard layout.

Expected results:
English, at least for user name and hopefully for password.

Additional info:
https://www.redhat.com/archives/fedora-devel-list/2008-December/msg00047.html
Comment 1 Tristan 2009-03-02 19:54:01 EST

*** This bug has been marked as a duplicate of bug 474010 ***
Comment 2 Lev Shamardin 2009-03-03 00:36:41 EST
This is not the duplicate of 474010. This bug is about broken layout switching at login, bug 474010 is about insane defaults.
Comment 3 Bug Zapper 2009-11-18 02:47:54 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jens Petersen 2009-11-24 01:37:17 EST
I believe this is fixed in f11 and f12 at least?
Comment 5 Lev Shamardin 2009-12-01 08:29:03 EST
Tried on fresh F12 installation, seems to be kind of fixed - there default layout is english even if you select Russian keyboard during installation, and there is no way to switch.

Note You need to log in before you can comment on or make changes to this bug.